# sprintfTag Struct Reference

`#include <header_internal.h>`

## Data Fields

headerTagTagFunction | ext
int | extNum
int_32 | tag
int | justOne
int | arrayCount
char * | format
char * | type
int | pad

## Field Documentation

int sprintfTag::arrayCount

| Definition at line 75 of file header_internal.h. Referenced by formatValue(), parseFormat(), and singleSprintf().

headerTagTagFunction sprintfTag::ext

| if NULL tag element is invalid Definition at line 71 of file header_internal.h. Referenced by formatValue(), parseExpression(), parseFormat(), and singleSprintf().

int sprintfTag::extNum

| Definition at line 72 of file header_internal.h. Referenced by formatValue(), parseExpression(), parseFormat(), and singleSprintf().

char* sprintfTag::format

| Definition at line 76 of file header_internal.h. Referenced by formatValue(), and parseFormat().

int sprintfTag::justOne

| Definition at line 74 of file header_internal.h. Referenced by parseFormat(), and singleSprintf().

int sprintfTag::pad

| Definition at line 78 of file header_internal.h. Referenced by formatValue(), and parseFormat().

int_32 sprintfTag::tag

| Definition at line 73 of file header_internal.h. Referenced by formatValue(), parseExpression(), parseFormat(), and singleSprintf().

char* sprintfTag::type

| Definition at line 77 of file header_internal.h. Referenced by formatValue(), and parseFormat().

The documentation for this struct was generated from the following file:

- lib/header_internal.h